import { PassportAuthProvider } from "./passport-auth-provider";

const database = getDatabase();

const authenticatedUserRepository = new AuthenticatedUserRepository(
  database,
  authenticatedUserMapper
);
const tabContextRepository = new TabContextRepository(database, tabContextMapper);
const transactionManager = new SequelizeTransactionManager(database);
const authService = new AuthService(authenticatedUserRepository, tabContextRepository);
const tabContextService = new TabContextService(tabContextRepository);

const authProvider = new PassportAuthProvider(authService, tabContextService, transactionManager);
export { authProvider };
